summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 06:45:07 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 06:45:07 +0000
commitcc61e405e37aa8d68feb6b8550089d1a8f8c1307 (patch)
treec2e0f6f33d11783cd31ca51dd4b2d2d46977c836 /testsuite
parentAdding debian version 0.1-1. (diff)
downloadlzd-cc61e405e37aa8d68feb6b8550089d1a8f8c1307.tar.xz
lzd-cc61e405e37aa8d68feb6b8550089d1a8f8c1307.zip
Merging upstream version 0.2.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 6dd7bb8..5fc6d18 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -27,10 +27,13 @@ fail=0
printf "testing lzd-%s..." "$2"
-"${LZIP}" < "${in_lz}" | cmp "${in}" - || fail=1
+"${LZIP}" < "${in_lz}" > copy || fail=1
+cmp "${in}" copy || fail=1
printf .
+
+cat "${in}" "${in}" > in2 || framework_failure
cat "${in_lz}" "${in_lz}" | "${LZIP}" > copy2 || fail=1
-cat "${in}" "${in}" | cmp copy2 - || fail=1
+cmp in2 copy2 || fail=1
printf .
echo